Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227077 - Review Request: junitperf-1.9.1-2jpp - JUnit extension for performance and scalability testing
Summary: Review Request: junitperf-1.9.1-2jpp - JUnit extension for performance and sc...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:43 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-07 20:40:41 UTC
overholt: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:43:14 UTC
Spec URL: http://people.redhat.com/rafaels/specs/junitperf-1.9.1-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/junitperf-1.9.1-2jpp.src.rpm
Description: JUnitPerf is a collection of JUnit test decorators used to measure the
performance and scalability of functionality contained within existing
JUnit tests.

Javadoc for junitperf.

Demonstrations and samples for junitperf.

Comment 1 Thomas Fitzsimmons 2007-02-13 00:33:30 UTC
- incorrect build root
- %{?dist} should be used
- remove javadoc %post and %postun sections

$ rpmlint /home/fitzsim/rpmbuild/SRPMS/junitperf-1.9.1-2jpp.src.rpm
W: junitperf non-standard-group Development/Testing
E: junitperf tag-not-utf8 %changelog
E: junitperf non-utf8-spec-file junitperf.spec
W: junitperf mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 89)

$ rpmlint /home/fitzsim/rpmbuild/RPMS/noarch/junitperf-1.9.1-2jpp.noarch.rpm
W: junitperf non-standard-group Development/Testing
E: junitperf tag-not-utf8 %changelog

$ rpmlint /home/fitzsim/rpmbuild/RPMS/noarch/junitperf-javadoc-1.9.1-2jpp.noarch.rpm
W: junitperf-javadoc non-standard-group Development/Documentation
E: junitperf-javadoc tag-not-utf8 %changelog
W: junitperf-javadoc dangerous-command-in-%post rm
W: junitperf-javadoc dangerous-command-in-%postun rm

$ rpmlint /home/fitzsim/rpmbuild/RPMS/noarch/junitperf-demo-1.9.1-2jpp.noarch.rpm
W: junitperf-demo non-standard-group Development/Testing
E: junitperf-demo tag-not-utf8 %changelog
W: junitperf-demo no-documentation

- remove Vendor tag
- 80 characters per line


Comment 2 Deepak Bhole 2007-02-15 22:18:58 UTC
Fixed spec and srpm:

http://people.redhat.com/dbhole/fedora/junitperf/

Comment 3 Andrew Overholt 2007-02-16 21:31:49 UTC
MUST:
* package is named appropriately
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* verify source and patches
* skim the summary and description for typos, etc.
* correct buildroot
* %{?dist} is used properly
* license text included in package and marked with %doc
* packages meet FHS
* rpmlint on <this package>.srpm gives no output
$ rpmlint junitperf-1.9.1-2jpp.1.src.rpm
W: junitperf non-standard-group Development/Testing

This is fine.

* changelog fine
* Packager tag not used
* Vendor tag not used
* Distribution tag not used
* use License and not Copyright 
* Summary tag does not end in a period
* no PreReq
* specfile is legible
* package successfully compiles and builds on at least x86
* BuildRequires are proper
* summary should be a short and concise description of the package
* description expands upon summary
* make sure lines are <= 80 characters
  . the lines that aren't, I'm okay with
* specfile written in American English
* no -doc sub-package necessary
* no libraries
* no rpath
* no config files
* not a GUI app
* no -devel sub-package
* macros used appropriately and consistently
* no locale data
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* file permissions okay; %defattrs should be present
* %clean present
* %doc files do not affect runtime
* not a web apps
* verify the final provides and requires of the binary RPMs
* run rpmlint on the binary RPMs
$ rpmlint junitperf-*.noarch.rpm
W: junitperf non-standard-group Development/Testing
W: junitperf-demo non-standard-group Development/Testing
W: junitperf-demo no-documentation

These are all fine

SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
* package should build in mock

APPROVED

Comment 4 Matt Wringe 2007-03-06 15:48:00 UTC
New Package CVS Request
=======================
Package Name: junitpref
Short Description: JUnit extension for performance and scalability testing
Owners: mwringe@redhat.com
Branches: devel
InitialCC: 

Comment 5 Matt Wringe 2007-03-06 22:03:55 UTC
I seem to have made a typo in the above comment, it should have been "junitperf"
instead of "junitpref". Can I please get this renamed properly in cvs.

Thanks,

Matt Wringe

Comment 6 Dennis Gilmore 2007-03-07 19:21:38 UTC
corrected

Comment 7 Matt Wringe 2007-03-07 20:40:41 UTC
Build into plague. Marking as NEXTRELEASE

Comment 8 Mat Booth 2011-07-31 17:41:39 UTC
Package Change Request
======================
Package Name: junitperf
New Branches: el6
Owners: mbooth

Comment 9 Gwyn Ciesla 2011-07-31 19:37:35 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.